Summary: SDL MPEG Library
Name: smpeg
Version: 0.4.0
Release: 5
Copyright: LGPL
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.gz
Patch0: smpeg-0.4.0-broken.patch
URL: http://www.lokigames.com/development/smpeg.php3
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%package devel
Summary: Libraries, includes and more to develop SMPEG applications.
Group: Development/Libraries
Requires: %{name}

%description devel
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

This is the libraries, include files and other resources you can use
to develop SMPEG applications.

%prep
rm -rf %{buildroot}

%setup -q
# sam is using a development version of libtool...
%patch0 -p1 -b .broken
aclocal
autoconf
automake --foreign

%build
%configure --disable-debug --disable-opengl-player

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
cat > %{buildroot}/etc/X11/applnk/Multimedia/gtv.desktop <<EOF
[Desktop Entry]
Name=GTV MPEG Player
Name[sv]=GTV MPEG-spelare
Type=Application
Comment=Simple player for MPEG Movies
Comment[sv]=Enkel spelare fr MPEG-filmer
Exec=gtv
MimeType=video/mpeg
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%config(missingok) /etc/X11/applnk/Multimedia/gtv.desktop
%{_libdir}/lib*.so.*
%{_bindir}/plaympeg
%{_bindir}/gtv
%{_mandir}/*

%files devel
%defattr(-, root, root)
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug #15336)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- better .desktop entry

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- fix up for Winston, use FHS paths

* Fri Mar  3 2000 Sam Lantinga <hercules@lokigames.com>
- Split package into development and runtime packages
